feat(scripts): introduce manual push script
All checks were successful
Check meta / check_dns (push) Successful in 19s
Check meta / check_meta (push) Successful in 20s
Check meta / check_dns (pull_request) Successful in 21s
Check meta / check_meta (pull_request) Successful in 20s
Check workflows / check_workflows (pull_request) Successful in 25s
Run pre-commit on all files / check (push) Successful in 27s
Build all the nodes / bridge01 (pull_request) Successful in 1m56s
Build all the nodes / geo02 (pull_request) Successful in 1m52s
Build all the nodes / geo01 (pull_request) Successful in 1m59s
Build all the nodes / compute01 (pull_request) Successful in 2m21s
Build all the nodes / storage01 (pull_request) Successful in 1m56s
Build all the nodes / rescue01 (pull_request) Successful in 2m2s
Build all the nodes / vault01 (pull_request) Successful in 2m8s
Run pre-commit on all files / check (pull_request) Successful in 34s
Build all the nodes / web01 (pull_request) Successful in 2m24s
Build all the nodes / web02 (pull_request) Successful in 1m39s
Build all the nodes / web03 (pull_request) Successful in 1m47s
Build all the nodes / ap01 (pull_request) Successful in 1h14m57s

This way, we can send some closures if some of our members build them on
more powerful machines.

Signed-off-by: Ryan Lahfa <ryan@dgnum.eu>
This commit is contained in:
Ryan Lahfa 2024-12-08 21:14:17 +01:00
parent f16d8ce68f
commit 25eee32a22

37
scripts/push-to-cache.sh Executable file
View file

@ -0,0 +1,37 @@
#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail
shopt -s lastpipe
output_path="$1"
if [ "$STORE_ENDPOINT" == "" ]; then
echo "No endpoint given for the remote cache, uploading cannot take place."
exit 0
fi
if [ "$STORE_USER" == "" ]; then
echo "No user given for the remote cache, uploading cannot take place."
exit 0
fi
if [ "$STORE_PASSWORD" == "" ]; then
echo "No password given for the remote cache, uploading cannot take place."
exit 1
fi
cat <<EOF >.netrc
default
login $STORE_USER
password $STORE_PASSWORD
EOF
nix copy \
--extra-experimental-features nix-command \
--to "$STORE_ENDPOINT?compression=none" \
--netrc-file .netrc \
"$output_path"
rm .netrc